/**
 * $Id: EQUToBC.rexx,v 1.3 1994/05/05 09:18:54 alex Rel $
 *
 * REXX program to extract string IDs from CatComp .asm files as a BASIC .bc file
 *
 * rx DefToBC.rexx <CatalogName.asm >CatalogName.bc
 *
 * (c) Copyright 1994 HiSoft
**/

do while ~eof(stdin)
	srcln = translate(readln(stdin), ' ', '09'X)
	parse var srcln LABEL OPCODE OPERAND COMMENT
	if trim(upper(OPCODE)) = 'EQU' then do
		say 'CONST' LABEL || '& =' OPERAND
	end
end
